# Generated from simple-notifier-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name simple-notifier

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Allows one to create notification handlers for any type of object
License: MIT
URL: http://github.com/alexagranov/simple-notifier
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(jeweler) >= 1.5.2
# BuildRequires: rubygem(jeweler) < 1.6
# BuildRequires: rubygem(rcov)
# BuildRequires: rubygem(actionmailer) >= 2.0
# BuildRequires: rubygem(actionmailer) < 3
BuildArch: noarch

%description
Inspired by ActionMailer, Notifier offers Notifier::Base, a base class for
creating notification handlers on any class or instance of a class.  Simply
define a method in your handler named after the type of object you would like
to create notification events for, substituting any namespace "::" delineation
with "_", along with a signature that allows for the object as the first
parameter and an optional params hash.  Then notify on that object or class by
simply calling MyHandler.notify!(myclass, params).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/example
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/simple-notifier.gemspec
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.1-1
- Initial package
